Skip to main content

createOrUpdateTenableIntegration

Create or Update Tenable Integration.

createOrUpdateTenableIntegration(
input: CreateOrUpdateTenableIntegrationInput!
): CreateOrUpdateTenableIntegrationPayload

Arguments​

createOrUpdateTenableIntegration.input ● CreateOrUpdateTenableIntegrationInput! non-null input​

Parameters for CreateOrUpdateTenableIntegration

Type​

CreateOrUpdateTenableIntegrationPayload object​

Autogenerated return type of CreateOrUpdateTenableIntegration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateTenableIntegration($input: CreateOrUpdateTenableIntegrationInput!) {\n createOrUpdateTenableIntegration(input: $input) { clientMutationId integration { id accessKey connectionHealth { __typename } } }\n}","variables":{"input":{"companyId":"<company_id>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute